-- The following is an AppleScript function ProfitTrain will call when you choose "Email Client..."
-- under an invoice. Before using the built in AppleScript ProfitTrain will look for
-- this user AppleScript file at:

-- /Users/[you]/Library/Application Support/ProfitTrain/email_invoice_using_user_script.scpt

-- By editing this file you can further customize the email with different subject lines, etc.
--  and/or use an alternative email client that is not supported by ProfitTrain by default.
--  See your mail client's Apple Script documentation for more details.  RazorAnt Software does not 
--  support Apple Script setups, but these are provided as a starting point.

-- Below you will find samples for Apple Mail, Airmail, Entourage, Eudora, Mailplane, Mailsmith, Outlook,
--  Postbox, and Sparrow.  All are commentted out except Apple Mail.

-- Script using Apple Mail
on mail_invoice(subject_line, to_name, to_address, attachment_path)
	
	-- Alert to show us which script is being called.
	-- Feel free to comment out when you are done editing.
	display alert ("This is the user script and is editable in the Application Support folder of ProfitTrain.")
	
	tell application "Mail"
		activate
		make new outgoing message with properties {subject:subject_line, visible:true}
		tell the result
			
			-- set the to address
			set to_person to {name:to_name, address:to_address}
			make to recipient at end with properties to_person
			
			-- add the attachment
			make new attachment with properties {file name:attachment_path} at after the last paragraph
			
		end tell
	end tell
end mail_invoice

-- Script using Airmail 
(*
on mail_invoice(subject_line, to_name, to_address, attachment_path)
	tell application "Airmail"
		activate
		set attachmentfilename to (POSIX file attachment_path) as string
		set theMessage to make new outgoing message with properties {subject:subject_line, content:"Your invoice is attached."}
		tell theMessage
			--set sender to "your@emailaddress.com"
		    --set signature to "Default"
			make new to recipient at end of to recipients with properties {name:to_name, address:to_address}
		    --make new cc recipient at end of cc recipients with properties {name:"Jalynn", address:"cc@example.com"}
		    --make new bcc recipient at end of bcc recipients with properties {name:"Larin", address:"bbc@example.com"}
			make new mail attachment with properties {filename:attachmentfilename as alias}
			compose
		end tell
	end tell
end mail_invoice
*)

-- Script using Microsoft Entourage
(*
on mail_invoice(subject_line, to_name, to_address, attachment_path)
	
	set a to POSIX file attachment_path
	set f to alias a
	
	tell application "Microsoft Entourage"
		activate
		set m to make new draft window
		tell m
			set to recipients to to_address
			make new attachment at beginning with properties {file:f}
			set subject to subject_line -- important, do this LAST 
		end tell
	end tell
	
end mail_invoice
*)

-- Script using Eudora
(*
on mail_invoice(subject_line, to_name, to_address, attachment_path)
	
	tell application "Eudora.app"
		activate
		make «class euMS» at end of «class euMB» "Out"
		set «class euFd» "to" of «class euMS» 0 to to_name & "<" & to_address & ">"
		set «class euFd» "subject" of «class euMS» 0 to subject_line
		«event CSOmeAtc» «class euMS» 0 given «class eDcl»:{POSIX file attachment_path}
		
	end tell
end mail_invoice
*)

-- Script using Mailplane
(*
on mail_invoice(subject_line, to_name, to_address, attachment_path)
	tell application "Mailplane.app"
		activate
		make new «class bcke» with properties {«class subj»:subject_line, visible:true}
		tell the result
			
			-- set the to address
			set to_person to {name:to_name, «class radd»:to_address}
			make «class trcp» at end with properties to_person
			
			-- add the attachment
			make new «class atts» with properties {«class atfn»:attachment_path} at after the last paragraph
			
		end tell
	end tell
end mail_invoice
*)

-- Script using Mailsmith
(*
on mail_invoice(subject_line, to_name, to_address, attachment_path)
	tell application "Mailsmith"
		activate
		set newMsg to make «class mWnd» with properties {«class subj»:subject_line}
		make new «class !to » at end of newMsg with properties {«class Addr»:(to_address & "(" & to_name & ")")}
		make new «class ENCL» at end of newMsg with properties {file:(POSIX file attachment_path) as alias}
	end tell
end mail_invoice
*)

-- Script using Microsoft Outlook
(*
on mail_invoice(subject_line, to_name, to_address, attachment_path)
	
	set a to POSIX file attachment_path
	set f to alias a
	set contentbody to ("Your invoice is attached.")
	tell application "Microsoft Outlook.app"
		activate
		set m to make new «class outm» with properties {«class subj»:subject_line, «class ctnt»:contentbody}
		make new «class trcp» at m with properties {«class emad»:{«class radd»:to_address, name:to_name}}
		make new «class cAtc» at m with properties {file:f}
		-- save m
		open m
	end tell
end mail_invoice
*)

-- Script using Postbox 
(*
on mail_invoice(subject_line, to_name, to_address, attachment_path)
	
	-- http://support.postbox-inc.com/entries/509550-applescript-support
	
	tell application "Postbox"
		activate
		send message subject subject_line recipient to_address attachment attachment_path with args
		
	end tell
end mail_invoice
*)

-- Script using Sparrow
(*
on mail_invoice(subject_line, to_name, to_address, attachment_path)
	
	tell application "Sparrow"
		activate
		set attachmentfilename to (POSIX file attachment_path) as string
		set myMessage to make new outgoing message with properties {subject:subject_line, content:"Your invoice is attached."}
		tell myMessage
			make new to recipient at end of to recipients with properties {name:to_name, address:to_address}
			make new mail attachment with properties {filename:attachmentfilename as alias}
			compose
		end tell
		
	end tell
end mail_invoice
*)

